import request from "@/utils/request";

// 查询动态筛选列表
export function listSx(query) {
  return request({
    url: "/zongzhi/sx/list",
    method: "get",
    params: query,
  });
}

// 查询动态筛选详细
export function getSx(id) {
  return request({
    url: "/zongzhi/sx/" + id,
    method: "get",
  });
}

// 新增动态筛选
export function addSx(data) {
  return request({
    url: "/zongzhi/sx",
    method: "post",
    data: data,
  });
}

// 修改动态筛选
export function updateSx(data) {
  return request({
    url: "/zongzhi/sx",
    method: "put",
    data: data,
  });
}

// 删除动态筛选
export function delSx(id) {
  return request({
    url: "/zongzhi/sx/" + id,
    method: "delete",
  });
}

// 导出动态筛选
export function exportSx(data) {
  return request({
    url: "/zongzhi/sx/export",
    method: "post",
    data,
  });
}
